Package org.linphone.core

# Interface AccountCreatorListener

All Known Implementing Classes:
  `AccountCreatorListenerStub`

public interface AccountCreatorListener
An object to handle the responses callbacks for handling the `AccountCreator`
operations.

## Method Summary

Modifier and Type
Method
Description
`void`
`onAccountCreationRequestToken(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onAccountCreationTokenUsingRequestToken(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onActivateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onActivateAlias(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onCreateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onIsAccountActivated(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onIsAccountExist(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onIsAccountLinked(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onIsAliasUsed(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onLinkAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onLoginLinphoneAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onRecoverAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onSendToken(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead
`void`
`onUpdateAccount(AccountCreator creator, AccountCreator.Status status, String response)`
Deprecated.
11/06/2024 use `AccountManagerServices` instead

## Method Details

### onCreateAccount

void onCreateAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onIsAccountExist

void onIsAccountExist(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onActivateAccount

void onActivateAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onSendToken

void onSendToken(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onAccountCreationRequestToken

void onAccountCreationRequestToken(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onAccountCreationTokenUsingRequestToken

void onAccountCreationTokenUsingRequestToken(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onIsAccountActivated

void onIsAccountActivated(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onLinkAccount

void onLinkAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onActivateAlias

void onActivateAlias(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onIsAliasUsed

void onIsAliasUsed(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onIsAccountLinked

void onIsAccountLinked(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onRecoverAccount

void onRecoverAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onUpdateAccount

void onUpdateAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string

### onLoginLinphoneAccount

void onLoginLinphoneAccount(AccountCreator creator, AccountCreator.Status status, String response)
Deprecated.
11/06/2024 use `AccountManagerServices` instead
Callback to notify a response of server.

Parameters:
  `creator` - `AccountCreator` object
  `status` - The status of the `AccountCreator` test existence operation
  that has just finished
  `response` - The response has a string